#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --extra=dev --output-file=requirements-dev.txt
#
arabic-reshaper==3.0.0
    # via xhtml2pdf
asgiref==3.6.0
    # via django
asn1crypto==1.5.1
    # via
    #   oscrypto
    #   pyhanko
    #   pyhanko-certvalidator
attrs==22.2.0
    # via pytest
base36==0.1.1
    # via la-chariotte (pyproject.toml)
black==23.3.0
    # via pytest-black
brotli==1.0.9
    # via fonttools
build==0.10.0
    # via pip-tools
certifi==2023.7.22
    # via
    #   requests
    #   sentry-sdk
cffi==1.15.1
    # via
    #   cryptography
    #   weasyprint
chardet==4.0.0
    # via diff-cover
charset-normalizer==3.2.0
    # via requests
click==8.1.3
    # via
    #   black
    #   pip-tools
    #   pyhanko
coverage[toml]==7.2.2
    # via pytest-cov
cryptography==41.0.3
    # via
    #   pyhanko
    #   pyhanko-certvalidator
cssselect2==0.7.0
    # via
    #   svglib
    #   weasyprint
diff-cover==4.2.3
    # via la-chariotte (pyproject.toml)
django==4.2
    # via
    #   django-weasyprint
    #   la-chariotte (pyproject.toml)
django-weasyprint==2.2.1
    # via la-chariotte (pyproject.toml)
fonttools[woff]==4.42.1
    # via weasyprint
html2text==2020.1.16
    # via la-chariotte (pyproject.toml)
html5lib==1.1
    # via
    #   weasyprint
    #   xhtml2pdf
icalendar==5.0.7
    # via la-chariotte (pyproject.toml)
idna==3.4
    # via requests
importlib-metadata==6.1.0
    # via inflect
inflect==3.0.2
    # via
    #   diff-cover
    #   jinja2-pluralize
iniconfig==2.0.0
    # via pytest
isort==5.12.0
    # via pytest-isort
jinja2==3.1.2
    # via
    #   diff-cover
    #   jinja2-pluralize
jinja2-pluralize==0.3.0
    # via diff-cover
lxml==4.9.3
    # via svglib
markupsafe==2.1.2
    # via jinja2
mypy-extensions==1.0.0
    # via black
oscrypto==1.3.0
    # via pyhanko-certvalidator
packaging==23.0
    # via
    #   black
    #   build
    #   pytest
pathspec==0.11.1
    # via black
pillow==10.0.0
    # via
    #   reportlab
    #   weasyprint
    #   xhtml2pdf
pip-tools==6.12.3
    # via la-chariotte (pyproject.toml)
platformdirs==3.2.0
    # via black
pluggy==1.0.0
    # via
    #   diff-cover
    #   pytest
psycopg2-binary==2.9.6
    # via la-chariotte (pyproject.toml)
pycparser==2.21
    # via cffi
pydyf==0.7.0
    # via weasyprint
pygments==2.14.0
    # via diff-cover
pyhanko==0.20.0
    # via xhtml2pdf
pyhanko-certvalidator==0.23.0
    # via
    #   pyhanko
    #   xhtml2pdf
pypdf==3.15.4
    # via xhtml2pdf
pyphen==0.14.0
    # via weasyprint
pypng==0.20220715.0
    # via qrcode
pyproject-hooks==1.0.0
    # via build
pytest==7.2.2
    # via
    #   la-chariotte (pyproject.toml)
    #   pytest-black
    #   pytest-cov
    #   pytest-django
    #   pytest-isort
pytest-black==0.3.12
    # via la-chariotte (pyproject.toml)
pytest-cov==4.0.0
    # via la-chariotte (pyproject.toml)
pytest-django==4.5.2
    # via la-chariotte (pyproject.toml)
pytest-isort==3.1.0
    # via la-chariotte (pyproject.toml)
python-bidi==0.4.2
    # via xhtml2pdf
python-dateutil==2.8.2
    # via icalendar
pytz==2023.3
    # via icalendar
pyyaml==6.0.1
    # via pyhanko
qrcode==7.4.2
    # via pyhanko
reportlab==3.6.13
    # via
    #   svglib
    #   xhtml2pdf
requests==2.31.0
    # via
    #   pyhanko
    #   pyhanko-certvalidator
sentry-sdk==0.20.3
    # via la-chariotte (pyproject.toml)
six==1.16.0
    # via
    #   html5lib
    #   python-bidi
    #   python-dateutil
sqlparse==0.4.3
    # via django
svglib==1.5.1
    # via xhtml2pdf
tinycss2==1.2.1
    # via
    #   cssselect2
    #   svglib
    #   weasyprint
toml==0.10.2
    # via pytest-black
typing-extensions==4.7.1
    # via qrcode
tzlocal==5.0.1
    # via pyhanko
uritools==4.0.1
    # via pyhanko-certvalidator
urllib3==2.0.4
    # via
    #   requests
    #   sentry-sdk
weasyprint==59.0
    # via django-weasyprint
webencodings==0.5.1
    # via
    #   cssselect2
    #   html5lib
    #   tinycss2
wheel==0.40.0
    # via pip-tools
xhtml2pdf==0.2.11
    # via la-chariotte (pyproject.toml)
zipp==3.15.0
    # via importlib-metadata
zopfli==0.2.2
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools
